<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout4}">
<head>
  <meta charset="UTF-8">
  <title>Vacancy</title>

  <link th:href="@{/css/otp.css}" rel="stylesheet">

  <script>

    document.addEventListener("DOMContentLoaded", function(event) {

      function OTPInput() {
        const inputs = document.querySelectorAll('#otp > *[id]');
        for (let i = 0; i < inputs.length; i++) {
          inputs[i].addEventListener('keydown', function(event) {
            if (event.key==="Backspace" ) {
              inputs[i].value='' ;
              if (i !==0) inputs[i - 1].focus();
            } else {
              if (i===inputs.length - 1 && inputs[i].value !=='' ) {
                return true;
              } else if (event.keyCode> 47 && event.keyCode < 58) {
                inputs[i].value=event.key;
                if (i !==inputs.length - 1)
                  inputs[i + 1].focus();
                event.preventDefault();
              } else if (event.keyCode> 64 && event.keyCode < 91) {
                inputs[i].value=String.fromCharCode(event.keyCode);
                if (i !==inputs.length - 1)
                  inputs[i + 1].focus();
                event.preventDefault();
              }
            }
          });
        }
      }
      OTPInput();
    });

    // $(function (){
    //   $('#error').on(function (){
    //     Swal.fire({
    //       icon:'error',
    //       title:'Opps...',
    //       text: 'Something wrong with this page!',
    //     });
    //   });
    // });

  </script>

</head>
<body>
<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        THR Report-->
<!--        <small></small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Reports</li>-->
<!--        <li class="active"> THR</li>-->
<!--    </ol>-->
<!--</section>-->
<main layout:fragment="main" class="container">

  <!--    <div class="bg-light p-5 rounded">-->
  <!--        <h1>Navbar example</h1>-->
  <!--        <p class="lead">This example is a quick exercise to illustrate how the top-aligned navbar works. As you scroll, this navbar remains in its original position and moves with the rest of the page.</p>-->
  <!--        <a class="btn btn-lg btn-primary" href="/docs/5.2/components/navbar/" role="button">View navbar docs &raquo;</a>-->
  <!--    </div>-->

  <div class="row pb-1 mb-2">
    <div class="col-md-12" align="center">
      <div class="h3 text-dark" >
        <b style="text-shadow: 0px 2px 2px rgb(160,168,173); ">Verify</b>
      </div>
      <!--            <span class="badge text-bg-primary"></span>-->
      <div class="progress" style="height: 5px; width: 100px; color: #15408d;">
        <div class="progress-bar" role="progressbar" aria-label="Example 1px high" style="width: 100%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="25"></div>
      </div>

      <!--            <div class="btn btn-primary small" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem; &#45;&#45;bs-btn-bg: #15408d;" disabled=""></div>-->
    </div>
  </div>
  <div class="row b-2 mb-4">
    <div class="col-md-12" align="center">
      <span class="small">Start finding your purpose with Insitut Tazkia. See our latest vacancies below.</span>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <!--      <section class="vh-100" style="background-color: #eee;">-->
      <div class="container height-100 d-flex justify-content-center align-items-center">
        <div class="position-relative">
          <form th:action="@{/vacancy/verify/otp}" method="post">
            <input type="hidden" name="otp" th:value="${otp.id}">
            <div class="alert alert-success center-block" role="alert" th:if="${success != null}">
              <svg class="bi flex-shrink-0 me-2" width="17" height="17" role="img" aria-label="Success:">
                <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"/>
              </svg>
              The verification of the otp code was successful. <br>Please <a th:href="@{/oauth2/authorization/google}" class="alert-link">login</a> using email <span th:text="${email}"></span>
            </div>
            <div class="card p-2 text-center">
              <div class="alert alert-danger" role="alert" th:if="${gagal != null}">
                <svg class="bi flex-shrink-0 me-2" width="17" height="15" role="img" aria-label="Danger:">
                  <path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"/>
                </svg>
                Wrong otp code!
              </div>
              <div class="alert alert-danger" role="alert" th:if="${habis != null}">
                Expired otp code!
              </div>
              <h6>Please enter the one time password <br> to verify your account</h6>
              <div>
                <span>A code has been sent to</span> <small th:text="${email}">*******9897</small><br>
                <span>Code will expire in 5 minutes!</span>
              </div>
              <div id="otp" class="inputs d-flex flex-row justify-content-center mt-2">
                <input class="m-2 text-center form-control rounded" th:value="${first}" type="text" id="first" name="first" maxlength="1" />
                <input class="m-2 text-center form-control rounded" th:value="${second}" type="text" id="second" name="second" maxlength="1" />
                <input class="m-2 text-center form-control rounded" th:value="${third}" type="text" id="third" name="third" maxlength="1" />
                <input class="m-2 text-center form-control rounded" th:value="${fourth}" type="text" id="fourth" name="fourth" maxlength="1" />
                <input class="m-2 text-center form-control rounded" th:value="${fifth}" type="text" id="fifth" name="fifth" maxlength="1" />
                <input class="m-2 text-center form-control rounded" th:value="${sixth}" type="text" id="sixth" name="sixth" maxlength="1" />
              </div>
              <div class="mt-4">
                <button class="btn btn-primary px-4 rounded-pill">Validate</button>
              </div>
            </div>
          </form>
        </div>
      </div>
      <!--      </section>-->
    </div>
  </div>
  <br>
</main>
<main layout:fragment="footer" class="script">
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<!--  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css"></script>-->
<!--  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"></script>-->

</main>
</body>
</html>
